@import "./Main.scss";

.profile{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 25px 0;
  &-img{
    width: 20%;
  }
  &-name{
    font-size: 1.5rem;
    font-weight: bold;
    color: $primary;
  }
  &-points{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    &_text{
      font-weight: bold;
      color: $primary;
      margin: 0 5px 0 0;
    }
    &_logo{
      margin: 0 5px 0 0;
    }
    &_quantity{
      font-weight: bold;
      color: $primary;

    }
  }
}

.history{
  display: flex;
  flex-direction: column;
  margin: 25px 10px;
  &_title{
    color: $primary;
    font-size: 1.5rem;
    font-weight: bold;
    text-decoration: underline;
  }
  &_btn{
    width: 40%;
    background-color: #FFDD6D;
    border-radius: 30px;
    height: 26px;
    padding: 5px;
    margin:  15px 0 0 5px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    align-self: flex-end;
  }
}
.product_history{ 
  display: flex;
  flex-direction: row;   
  border-bottom: solid 1px #f22738;
  margin: 10px 10px 0 10px;
  &:last-child{    
    border-bottom: 0px;
  }
  &-image{
    width: 30%;
    height: 100%;    
  }
  &-content{
    margin: 0 0 0 25px;
    &-header{
      display: flex;
      flex-direction: column;
      &_price{
        font-size: 1.2rem;
        font-weight: bold;
        color: $primary;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
      }
      &_date{
        font-size: 0.8rem;
        font-weight: bold;
      }
    }
    &-name{
      font-size: 1.3rem;
      font-weight: bold;
      margin: 25px 0 0 0;
      color: $primary;
    }
    &-category{
      font-size: 0.8rem;
      margin: 0;
    }
  }
}

.developer{
  display: flex;
  flex-direction: column;
  margin: 25px 10px;
  &_title{
    color: $primary;
    font-size: 1.5rem;
    font-weight: bold;
    text-decoration: underline;
  }
  &-container{
    margin: 25px 0 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    &_quantity{
      width: 100%;
      margin: 0 0 15px;
    }
    &_btn{
      width: 40%;
      background-color: #FFDD6D;
      border-radius: 30px;
      height: 26px;
      padding: 5px;
      margin: 0 0 0 5px;
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      cursor: pointer;
      align-self: flex-end;
    }
  }
}

@media screen and (max-width: 768px){
  .developer {
    display: flex;
    flex-direction: column;
    margin: 25px 10px;
  }
}